org.eclnt.jsfserver.defaultscreens

## Class GridDetails

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.defaultscreens.GridDetails

- All Implemented Interfaces:
    java.io.Serializable, IPageBean, IDynamicContentBindingObject

      public class GridDetails
      extends PageBean
      implements java.io.Serializable

  This is the one class managing the "popup aspects" of a grid:
  (1.) the search & export popup
  (2.) the popup for arranging the columns
  Background: you may e.g. use the class to build an own popup dialog providing both parts of the function within one popup.
  There are two static members by which you can directly set the default popup page names that are opened for "grid functions" and for "column detail editing": PAGENAME_FUNCTIONS and PAGENAME_COLUMNDETAILS.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `GridDetails.ColumnItem`
    `static interface` | `GridDetails.IGridDetailsListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PAGENAME_COLUMNSDETAILS` Default page name used for popup for re-arranging the column sequence.
    `static java.lang.String` | `PAGENAME_EXPORTFUNCTIONS` Default page name used for export popup.
    `static java.lang.String` | `PAGENAME_FUNCTIONS` Default page name used for search & export popup.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridDetails()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCaseSensitive()`
    `boolean` | `getCellFunctionsAvailable()`
    `java.lang.String` | `getDownloadFilenameCSV()`
    `java.lang.String` | `getDownloadFilenamePDF()`
    `java.lang.String` | `getDownloadFilenameXLSX()`
    `java.lang.String` | `getDownloadFilenameXML()`
    `java.lang.String` | `getExportURLCsvRange()`
    `java.lang.String` | `getExportURLCsvRows()`
    `java.lang.String` | `getExportURLCsvWholeGrid()`
    `java.lang.String` | `getExportURLPdfRows()`
    `java.lang.String` | `getExportURLPdfWholeGrid()`
    `java.lang.String` | `getExportURLXLSXRows()`
    `java.lang.String` | `getExportURLXLSXWholeGrid()`
    `java.lang.String` | `getExportURLXMLRange()`
    `java.lang.String` | `getExportURLXMLRows()`
    `java.lang.String` | `getExportURLXMLWholeGrid()`
    `FIXGRIDListBinding<GridDetails.ColumnItem>` | `getLefts()`
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `FIXGRIDListBinding<GridDetails.ColumnItem>` | `getRights()`
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `boolean` | `getRowFunctionsAvailable()`
    `java.lang.String` | `getSearchResult()`
    `java.lang.String` | `getSearchText()`
    `java.lang.Boolean` | `getXlsxAvailable()`
    `void` | `onApply(ActionEvent event)`
    `void` | `onBackToDefault(ActionEvent event)`
    `void` | `onDown(ActionEvent event)`
    `void` | `onExportToClipboardRange(ActionEvent event)`
    `void` | `onExportToClipboardRows(ActionEvent event)`
    `void` | `onExportToClipboardWholeGrid(ActionEvent event)`
    `void` | `onLeft(ActionEvent event)`
    `void` | `onRevertChanges(ActionEvent event)`
    `void` | `onRight(ActionEvent event)`
    `void` | `onSearchNext(ActionEvent event)`
    `void` | `onSearchPrevious(ActionEvent event)`
    `void` | `onUp(ActionEvent event)`
    `void` | `prepare(FIXGRIDBinding grid, GridDetails.IGridDetailsListener listener, boolean cellFunctionsAvailable, java.lang.String pageName)` You may use this class on your own and pass an own jsp page into the page bean.
    `void` | `setCaseSensitive(boolean value)`
    `void` | `setSearchText(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAGENAME_FUNCTIONS

          public static java.lang.String PAGENAME_FUNCTIONS

      Default page name used for search & export popup.

    - #### PAGENAME_EXPORTFUNCTIONS

          public static java.lang.String PAGENAME_EXPORTFUNCTIONS

      Default page name used for export popup.

    - #### PAGENAME_COLUMNSDETAILS

          public static java.lang.String PAGENAME_COLUMNSDETAILS

      Default page name used for popup for re-arranging the column sequence.

  - ### Constructor Detail

    - #### GridDetails

          public GridDetails()

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### prepare

          public void prepare(FIXGRIDBinding grid,
                              GridDetails.IGridDetailsListener listener,
                              boolean cellFunctionsAvailable,
                              java.lang.String pageName)

      You may use this class on your own and pass an own jsp page into the page bean.

    - #### getLefts

          public FIXGRIDListBinding<GridDetails.ColumnItem> getLefts()

    - #### getRights

          public FIXGRIDListBinding<GridDetails.ColumnItem> getRights()

    - #### getCellFunctionsAvailable

          public boolean getCellFunctionsAvailable()

    - #### getRowFunctionsAvailable

          public boolean getRowFunctionsAvailable()

    - #### getXlsxAvailable

          public java.lang.Boolean getXlsxAvailable()

    - #### getSearchResult

          public java.lang.String getSearchResult()

    - #### getDownloadFilenameCSV

          public java.lang.String getDownloadFilenameCSV()

    - #### getDownloadFilenameXLSX

          public java.lang.String getDownloadFilenameXLSX()

    - #### getDownloadFilenameXML

          public java.lang.String getDownloadFilenameXML()

    - #### getDownloadFilenamePDF

          public java.lang.String getDownloadFilenamePDF()

    - #### onLeft

          public void onLeft(ActionEvent event)

    - #### onRight

          public void onRight(ActionEvent event)

    - #### onUp

          public void onUp(ActionEvent event)

    - #### onDown

          public void onDown(ActionEvent event)

    - #### onApply

          public void onApply(ActionEvent event)

    - #### onRevertChanges

          public void onRevertChanges(ActionEvent event)

    - #### onBackToDefault

          public void onBackToDefault(ActionEvent event)

    - #### getExportURLPdfWholeGrid

          public java.lang.String getExportURLPdfWholeGrid()

    - #### getExportURLPdfRows

          public java.lang.String getExportURLPdfRows()

    - #### getExportURLXLSXWholeGrid

          public java.lang.String getExportURLXLSXWholeGrid()

    - #### getExportURLXLSXRows

          public java.lang.String getExportURLXLSXRows()

    - #### getExportURLCsvWholeGrid

          public java.lang.String getExportURLCsvWholeGrid()

    - #### getExportURLCsvRows

          public java.lang.String getExportURLCsvRows()

    - #### getExportURLXMLWholeGrid

          public java.lang.String getExportURLXMLWholeGrid()

    - #### getExportURLXMLRows

          public java.lang.String getExportURLXMLRows()

    - #### getExportURLCsvRange

          public java.lang.String getExportURLCsvRange()

    - #### getExportURLXMLRange

          public java.lang.String getExportURLXMLRange()

    - #### onExportToClipboardWholeGrid

          public void onExportToClipboardWholeGrid(ActionEvent event)

    - #### onExportToClipboardRows

          public void onExportToClipboardRows(ActionEvent event)

    - #### onExportToClipboardRange

          public void onExportToClipboardRange(ActionEvent event)

    - #### setSearchText

          public void setSearchText(java.lang.String value)

    - #### getSearchText

          public java.lang.String getSearchText()

    - #### getCaseSensitive

          public boolean getCaseSensitive()

    - #### setCaseSensitive

          public void setCaseSensitive(boolean value)

    - #### onSearchNext

          public void onSearchNext(ActionEvent event)

    - #### onSearchPrevious

          public void onSearchPrevious(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.